<?php

/**
 * WeEngine Team
 *
 * (c) We7Team 2019 <https://www.w7.cc>
 *
 * This is not a free software
 * Using it under the license terms
 * visited https://www.w7.cc for more details
 */

if (!defined('IN_DISCUZ')) {
	exit('Access Denied');
}

require_once DISCUZ_ROOT . '/source/plugin/w7store/config/index.php';
require_once libfile('lib/apps', 'plugin/' . W7_STORE);

$cache = new W7\Cache\File($config['plugin_cache_path']);
$callback = new W7\Api\Common\Callback();

$callback->registerSiteInfoHandler(function ($result) {
	global $_G;

	if ($result && stripos(rtrim($_G['siteurl'], '/'), $result['url']) !== false) {
		C::t('#' . W7_STORE . '#w7_setting')->updateSite([
			'site_key' => intval($result['key']),
			'site_name' => $result['name'],
			'site_url' => $result['url'],
			'site_token' => $result['token'],
			'remark' => json_encode(['site' => $result], JSON_UNESCAPED_UNICODE)
		]);
		echo 'success';
	} else {
		echo 'fail';
	}
});

//文件下载分为两种方式，普通的文件直接返回内容，关键文件通过推送获取。
$callback->registershippingFileHandler(function ($result) {
	$apps = new \W7Store\lib\lib_apps();
	$apps->handleDownload($result);
});

//注册一个缓存Handler,以后会支持redis
$callback->registerCache($cache);

//带入站点的token,请求接口要用到，除了站点信息接口
$siteInfo = C::t($config['table_setting'])->info();
if (!empty($siteInfo['site_token'])) {
	$callback->registerSiteToken($siteInfo['site_token']);
}
echo $callback->dispatch();
