<?php

/**
 * WeEngine Discuz Plugin
 *
 * (c) We7Team 2019 <https://www.w7.cc>
 *
 * This is not a free software
 * Using it under the license terms
 * visited https://www.w7.cc for more details
 */

/**
 * 微擎DZ插件, 注意事项:
 * 1. DZ自带的插件, 建议不要放到我们应用市场, 如果真的需要放到我们应用市场, 建议不要修改插件名称.
 * 2. DZ官方应用市场的插件, 放到我们应用市场, 建议不要修改插件名称.
 * 3. 后期有开发者在我们应用市场发布插件, 建议到DZ官方应用市场搜索下插件是否存在:
 *   存在: 建议使用DZ官方应用市场的插件名称;
 *   不存在: 建议插件的名称最好不要使用DZ官方应用市场已存在的插件名称;
 * 4. 后期如果插件名称同时出现在两个应用市场, 但是插件功能不一样, 这个问题只能客服协商处理了.
 */
if (!defined('IN_DISCUZ') || !defined('IN_ADMINCP')) {
	exit('Access Denied');
}

require_once DISCUZ_ROOT . '/source/plugin/w7store/config/index.php';

// 表前缀
$tablepre = getglobal('config/db/1/tablepre');

$sql = <<<EOT
    
CREATE TABLE IF NOT EXISTS `{$tablepre}plugin_w7_setting` (
 `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
 `uid` int(10) NOT NULL DEFAULT 0,
 `username` varchar(50) NOT NULL DEFAULT '',
 `site_key` int(10) NOT NULL DEFAULT 0,
 `site_name` varchar(50) NOT NULL DEFAULT '',
 `site_url` varchar(255) NOT NULL DEFAULT '',
 `site_token` varchar(128) NOT NULL DEFAULT '',
 `access_token` varchar(128) NOT NULL DEFAULT '',
 `access_token_expires` int(10) NOT NULL DEFAULT 0,
 `sync_time` int(10) NOT NULL DEFAULT 0,
 `remark` text NOT NULL,
 PRIMARY KEY (`id`)
) ENGINE=MyISAM;

CREATE TABLE IF NOT EXISTS `{$tablepre}plugin_w7_apps` (
 `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
 `name` varchar(50) NOT NULL DEFAULT '',
 `identifier` varchar(100) NOT NULL DEFAULT '',
 `author` varchar(80) NOT NULL DEFAULT '',
 `logo` varchar(255) NOT NULL DEFAULT '',
 `version` varchar(50) NOT NULL DEFAULT '' COMMENT '安装版本',
 `status` tinyint(10) unsigned NOT NULL DEFAULT 0 COMMENT '状态{0:未安装,1:已安装}',
 `displayorder` smallint(5) unsigned NOT NULL DEFAULT 0,
 `has_new_version` tinyint(1) NOT NULL DEFAULT 0 COMMENT '是否有新版本',
 `has_new_branch` tinyint(1) NOT NULL DEFAULT 0 COMMENT '是否有新分支',
 `main_module` varchar(100) NOT NULL DEFAULT '',
 `branch_id` int(10) unsigned NOT NULL DEFAULT 0,
 `site_branch` text NOT NULL,
 `branches` text NOT NULL,
 `description` text NOT NULL,
 `buy_time` int(10) NOT NULL DEFAULT 0,
 `created_time` int(10) NOT NULL DEFAULT 0,
 PRIMARY KEY (`id`),
 KEY (`name`)
) ENGINE=MyISAM;

CREATE TABLE IF NOT EXISTS `{$tablepre}plugin_w7_install` (
 `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
 `plugin_id` int(10) NOT NULL DEFAULT 0,
 `plugin_identifier` varchar(100) NOT NULL DEFAULT '',
 `plugin_version` varchar(20) NOT NULL DEFAULT '',
 `plugin_branch_id` int(10) NOT NULL DEFAULT 0,
 `plugin_branch_displayorder` smallint(5) NOT NULL DEFAULT 0,
 `install_time` int(10) NOT NULL DEFAULT 0,
 PRIMARY KEY (`id`),
 KEY (`plugin_id`),
 KEY (`plugin_identifier`)
) ENGINE=MyISAM;

EOT;

runquery($sql);

if (!is_dir($config['plugin_dir'])) {
	@mkdir($config['plugin_dir']);
}

$finish = true;
