<?php

/**
 * WeEngine Team
 *
 * (c) We7Team 2019 <https://www.w7.cc>
 *
 * This is not a free software
 * Using it under the license terms
 * visited https://www.w7.cc for more details
 */

namespace W7Store\lib;

if (!defined('IN_DISCUZ')) {
	exit('Access Denied');
}

class lib_base {
	protected $errorMessage = '未知错误';
	protected $config = [];

	public function __construct($config = []) {
		if ($config) {
			$this->config = $config;
		}
	}
	protected function setErrorMessage($message) {
		global $_G;
		
		// 授权过期
		if ($message === 'Access token was expired') {
			$url = $_G['siteurl'] . 'plugin.php?id=w7store:login';
			dheader('location:' . $url);
		}

		$this->errorMessage = $message;
	}

	public function getErrorMessage() {
		return $this->errorMessage;
	}

	public function isEnable() {
		$plugin = \C::t('common_plugin')->fetch_by_identifier(W7_STORE);
		if ($plugin && $plugin['available']) {
			return true;
		}
		$this->setErrorMessage('插件未开启，请启用后再试！');
		return false;
	}
}
