<?php

/**
 * WeEngine Team
 *
 * (c) We7Team 2019 <https://www.w7.cc>
 *
 * This is not a free software
 * Using it under the license terms
 * visited https://www.w7.cc for more details
 */

namespace W7Store\lib;

use W7\Exception\SiteRegisteredException;

if (!defined('IN_DISCUZ')) {
	exit('Access Denied');
}

require_once libfile('lib/auth', 'plugin/' . W7_STORE);

class lib_setting extends lib_auth {
	public function __construct($config = []) {
		parent::__construct($config);
	}

	public function register($siteName, $siteUrl, $family) {
		global $_G;
		require_once DISCUZ_ROOT . '/source/discuz_version.php';

		try {
			$setting = \C::t($this->config['table_setting'])->info();
			$callbackUrl = $_G['siteurl'] . 'plugin.php?id=' . W7_STORE . ':callback&act=touch';
			$siteRegister = new \W7\Api\Site\Register();
			$siteRegister->index($setting['access_token'], $siteName, $siteUrl, DISCUZ_VERSION, DISCUZ_RELEASE, $family, $callbackUrl);
			return json_decode($siteRegister->getRequestContent(), true);
		} catch (SiteRegisteredException $exception) {
            \C::t($this->config['table_setting'])->updateSite(['access_token_expires' => 0]);
            $this->setErrorMessage($exception->getMessage());
            return false;
        } catch (\Exception $exception) {
			$this->setErrorMessage($exception->getMessage());
			return false;
		}
	}
}
