<?php

/**
 * WeEngine Team
 *
 * (c) We7Team 2019 <https://www.w7.cc>
 *
 * This is not a free software
 * Using it under the license terms
 * visited https://www.w7.cc for more details
 */

namespace W7Store\lib;

if (!defined('IN_DISCUZ')) {
    exit('Access Denied');
}

class lib_touch {
	/**
	 * 保存文件
	 *
	 * @param string $fileName 文件名（含相对路径）
	 * @param string $text 文件内容
	 * @return boolean
	 */
	public function saveFile($fileName, $text) {
		if (!$fileName || !$text) {
			return false;
		}
		if ($this->makeDir(dirname($fileName))) {
			if ($fp = fopen($fileName, 'w')) {
				if (@fwrite($fp, $text)) {
					fclose($fp);
					return true;
				} else {
					fclose($fp);
					return false;
				}
			}
		}
		return false;
	}
	/**
	 * 连续创建目录
	 *
	 * @param string $dir 目录字符串
	 * @param int $mode 权限数字
	 * @return boolean
	 */
	public function makeDir($dir, $mode=0755) {
		if (!$dir) {
			return false;
		}
		if (!file_exists($dir)) {
			return mkdir($dir, $mode, true);
		} else {
			return true;
		}
	}
}
