<?php

/**
 * WeEngine Team
 *
 * (c) We7Team 2019 <https://www.w7.cc>
 *
 * This is not a free software
 * Using it under the license terms
 * visited https://www.w7.cc for more details
 */

namespace W7Store\lib;

if (!defined('IN_DISCUZ')) {
	exit('Access Denied');
}

class lib_utils {
	public function dirClear($dir) {
        if($directory = @dir($dir)) {
            while($entry = $directory->read()) {
                if($entry == '.' || $entry == '..') {
                    continue;
                }
                $filename = $dir.'/'.$entry;
                if(is_file($filename)) {
                    @unlink($filename);
                } else {
                    $this->dirClear($filename);
                }
            }
            $directory->close();
            @rmdir($dir);
        }
	}

	public function writeLog($logfile, $message) {
		file_put_contents($logfile, $message . "\n");
	}

	public function getSiteFamily() {
		global $_G;

		$charset = $_G['charset'] == 'utf-8' ? 'UTF8' : 'GBK';
		$lang = lang('core');
		if ($lang['title_login'] != '登录') {
			$family = 'TC_' . $charset;
		} else {
			$family = 'SC_' . $charset;
		}
		return $family;
	}
}
