<?php

/**
 * WeEngine Team
 *
 * (c) We7Team 2019 <https://www.w7.cc>
 *
 * This is not a free software
 * Using it under the license terms
 * visited https://www.w7.cc for more details
 */

if (!defined('IN_DISCUZ')) {
	exit('Access Denied');
}

require_once DISCUZ_ROOT . '/source/plugin/w7store/config/index.php';
require_once DISCUZ_ROOT . '/source/function/function_admincp.php';
require_once libfile('lib/auth', 'plugin/' . W7_STORE);

global $_G;

if (PHP_VERSION < '5.5.0') {
    cpmsg_error('PHP版本必须>=5.5', $_G['siteurl'] . 'admin.php?action=plugins');
}

$act = isset($_GET['act']) ? $_GET['act'] : '';
$auth = new \W7Store\lib\lib_auth($config);

if ($act == 'token') {
	$code = isset($_GET['code']) ? $_GET['code'] : '';
	$result = $auth->getAccessToken($code);
	if (!$result) {
		cpmsg_error($auth->getErrorMessage(), $_G['siteurl'] . 'admin.php?action=plugins');
	}
	$user = $auth->getUser($result['accessToken']);
    if (!$user) {
        cpmsg_error($auth->getErrorMessage(), $_G['siteurl'] . 'admin.php?action=plugins');
    }

	$setting = C::t($config['table_setting'])->info();
    // 每个站点只能绑定一个账号
	if ($setting && $setting['site_url'] && $setting['uid'] && $setting['uid'] != $user['uid']) {
		cpmsg_error('该站点已被其他账号注册', $_G['siteurl'] . 'admin.php?action=plugins');
	}
	C::t($config['table_setting'])->updateAccessToken($result['accessToken'], $result['expireTime'], $user);

	dheader('Location: ' . $_G['siteurl'] . 'admin.php?action=plugins&identifier=' . W7_STORE . '&pmod=apps');
} else {
	$redirect = $_G['siteurl'] . 'plugin.php?id=' . W7_STORE . ':login&act=token';
	$result = $auth->getLoginUrl($redirect);
	if (!$result) {
		cpmsg_error($auth->getErrorMessage(), $_G['siteurl'] . 'admin.php?action=plugins');
	}

	dheader("Location: {$result['url']}");
}
