<?php

/**
 * WeEngine Team
 *
 * (c) We7Team 2019 <https://www.w7.cc>
 *
 * This is not a free software
 * Using it under the license terms
 * visited https://www.w7.cc for more details
 */

if (!defined('IN_DISCUZ')) {
	exit('Access Denied');
}

require_once DISCUZ_ROOT . '/source/plugin/w7store/config/index.php';
require_once libfile('lib/setting', 'plugin/' . W7_STORE);
require_once libfile('lib/utils', 'plugin/' . W7_STORE);

global $_G;

$url = 'action=plugins&identifier=' . W7_STORE . '&pmod=setting';
$act = isset($_GET['act']) ? $_GET['act'] : '';
$base = new \W7Store\lib\lib_setting($config);
if (!$base->isEnable()) {
	cpmsg_error($base->getErrorMessage(), 'action=plugins');
}

if ($act == 'set') {
	$siteName = isset($_POST['site_name']) ? $_POST['site_name'] : '';
	$siteNameLength = mb_strlen($siteName);
	if ($siteNameLength < 2 || $siteNameLength > 50) {
		cpmsg_error('站点名称由2-50个字符组成', $url);
	}

	$util = new \W7Store\lib\lib_utils();
	$family = $util->getSiteFamily();
	$result = $base->register($siteName, $_G['siteurl'], $family);
	if (!$result) {
		cpmsg_error($base->getErrorMessage(), $url);
	}

	cpmsg('设置成功', $url);
} else {
	$base->checkAccessTokenExpires();

	$setting = C::t($config['table_setting'])->info();
	$scChecked = '';
	$tcChecked = '';
	if (isset($setting['remark']['locale']) && $setting['remark']['locale'] == 'TC') {
		$tcChecked = 'checked';
	} else {
		$scChecked = 'checked';
	}
	$serverUrl = 'action=plugins&operation=config&do=' . $pluginid . '&identifier=' . W7_STORE . '&pmod=setting&act=set';

	include template(W7_STORE . ':setting');
}
