<?php

/**
 * WeEngine Team
 *
 * (c) We7Team 2019 <https://www.w7.cc>
 *
 * This is not a free software
 * Using it under the license terms
 * visited https://www.w7.cc for more details
 */

if (!defined('IN_DISCUZ')) {
	exit('Access Denied');
}

class table_w7_install extends discuz_table {
	public function __construct() {
		$this->_table = 'plugin_w7_install';
		$this->_pk = 'id';

		parent::__construct();
	}

	public function fetch_all() {
		return DB::fetch_all('SELECT * FROM %t', array($this->_table));
	}

	public function fetch_by_identifier($identifier) {
		return DB::fetch_first('SELECT * FROM %t WHERE plugin_identifier=%s', array($this->_table, $identifier));
	}

	public function saveSite($id, $identifier, $version, $branchId, $branchDisplayOrder) {
		$data = [
			'plugin_id' => $id,
			'plugin_identifier' => $identifier,
			'plugin_version' => $version,
			'plugin_branch_id' => $branchId,
			'plugin_branch_displayorder' => $branchDisplayOrder,
			'install_time' => time()
		];

		$info = $this->fetch_by_identifier($identifier);
		if ($info) {
			return $this->update($info['id'], $data);
		} else {
			return $this->insert($data);
		}
	}

	public function remove($identifier) {
		return DB::delete($this->_table, ['plugin_identifier' => $identifier]);
	}
}
