<?php

/**
 * WeEngine Team
 *
 * (c) We7Team 2019 <https://www.w7.cc>
 *
 * This is not a free software
 * Using it under the license terms
 * visited https://www.w7.cc for more details
 */

if (!defined('IN_DISCUZ')) {
	exit('Access Denied');
}

class table_w7_setting extends discuz_table {
	public function __construct() {
		$this->_table = 'plugin_w7_setting';
		$this->_pk = 'id';

		parent::__construct();
	}

	public function info() {
		$info = DB::fetch_first('SELECT * FROM %t WHERE 1', array($this->_table));
		if ($info) {
            $info['remark'] = $info['remark'] ? json_decode($info['remark'], true) : [];
        }
		return $info;
	}

	public function updateAccessToken($token, $expires, $user) {
		$setting = $this->info();
		$info = [
		    'uid' => $user['uid'],
		    'username' => $user['username'],
		    'access_token' => $token,
            'access_token_expires' => $expires
        ];
		if ($setting) {
			return $this->update($setting['id'], $info);
		} else {
			return $this->insert($info);
		}
	}

	public function updateSite($data) {
		$setting = $this->info();
		if ($setting) {
			return $this->update($setting['id'], $data);
		} else {
			return $this->insert($data);
		}
	}
}
