<?php

/**
 * WeEngine Cloud SDK System
 *
 * (c) We7Team 2019 <https://www.w7.cc>
 *
 * This is not a free software
 * Using it under the license terms
 * visited https://www.w7.cc for more details
 */

namespace W7\Api\Module;

use W7\Util\Common;
use W7\Util\Request;
use W7\Util\SiteInfoTraiter;

class Build extends Request {
	protected $apiPath = '/module/build';
	protected $method = 'module.build';

	private $version;
	private $name;

	use SiteInfoTraiter;

	public function get() {
		if (empty($this->siteInfo)) {
			throw new \RuntimeException('缺少站点信息参数');
		}
		if (empty($this->name)) {
			throw new \RuntimeException('缺点模块名称');
		}
		$data = $this->siteInfo->toArray();
		$data['module'] = $this->name;
		$data['module_version'] = $this->version;
		$data['method'] = $this->method;
		return parent::post($data);
	}

	protected function decode($method, $response) {
		$data = parent::decode($method, $response);
		//保存transToken
		$this->cache->save('trans.token', Common::authcode($data['token'], 'ENCODE'));
		return $data;
	}

	/**
	 * @param mixed $version
	 */
	public function setVersion($version) {
		$this->version = $version;
		return $this;
	}

	/**
	 * @param mixed $name
	 */
	public function setName($name) {
		$this->name = $name;
		return $this;
	}
}
