<?php

/**
 * WeEngine Cloud SDK System
 *
 * (c) We7Team 2019 <https://www.w7.cc>
 *
 * This is not a free software
 * Using it under the license terms
 * visited https://www.w7.cc for more details
 */

namespace W7\Api\Module;

use W7\Util\Request;
use W7\Util\SiteInfoTraiter;

class Query extends Request {
	protected $apiPath = '/module/query';
	protected $method = 'module.query';

	use SiteInfoTraiter;

	public function get() {
		if (empty($this->siteInfo)) {
			throw new \RuntimeException('缺少站点信息参数');
		}
		$data = $this->siteInfo->toArray();
		$data['method'] = $this->method;
		return parent::post($data);
	}
}
