<?php

/**
 * WeEngine Cloud SDK System
 *
 * (c) We7Team 2019 <https://www.w7.cc>
 *
 * This is not a free software
 * Using it under the license terms
 * visited https://www.w7.cc for more details
 */

namespace W7\Api\Site;

use W7\Util\Request;

class Register extends Request {
	protected $apiPath = '/site/register/index';

	/**
	 * 注册站点
	 * @param string $accessToken
	 * @param string $siteName 站点名称
	 * @param string $siteUrl 站点地址
	 * @param string $siteVersion 站点版本
	 * @param string $siteRelease 站点发布时间
	 * @param string $siteFamily 站点属性: SC_UTF8, TC_UTF8, SC_GBK, SC_GBK
	 * @param string $callbackUrl
	 * @param int $installType
	 * @return mixed
	 * @throws \Exception
	 */
	public function index($accessToken, $siteName, $siteUrl, $siteVersion, $siteRelease, $siteFamily, $callbackUrl, $installType = 4) {
		$data = [
			'access_token' => $accessToken,
			'name' =>$siteName,
			'url' => $siteUrl,
			'version' => $siteVersion,
			'release' => $siteRelease,
			'family' => $siteFamily,
			'callback' => $callbackUrl,
			'install_type' => $installType
		];
		return parent::post($data);
	}
}
